Subject: Re: RFC: removing DONGLE_OLD drivers?

From: Samuel Ortiz <[email-masked]>
Date: Fri, 13 Jul 2007 01:30:19 +0300

Hi Adrian,

On Mon, Jul 09, 2007 at 07:25:39PM +0200, Adrian Bunk wrote:
> With one exception, all DONGLE_OLD drivers have newer counterparts.
> 
> The DONGLE_OLD drivers depend on BROKEN_ON_SMP which e.g. implies that 
> the many distributions shipping only SMP-kernels will never offer them.
> 
> The one exception is a driver for the Cirrus Logic EDB-7211 evaluation 
> board that itself is out of production for some years.
> 
> Can we remove these old drivers or is there a good reason for keeping 
> them?
I didn't notice the ep7211 is only using the old dongle API.
I'll convert it to the new one, and then we can start looking at getting
rid of the old drivers.

Cheers,
Samuel.

> cu
> Adrian
> 
> -- 
> 
>        "Is there not promise of rain?" Ling Tan asked suddenly out
>         of the darkness. There had been need of rain for many days.
>        "Only a promise," Lao Er said.
>                                        Pearl S. Buck - Dragon Seed
>